EndpointsLeagues

Restore campaign state

POST/v2/leagues/{league_id}/campaign/restore-state

Validate and install a complete saved campaign state document.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose campaign state should be restored.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

curl -X POST "https://example.com/v2/leagues/string/campaign/restore-state" \  -H "Content-Type: application/json" \  -d '{    "state": {}  }'
{}